Bug 1573643 - Cinnamon just crashed. You are currently running in fallback mode. [NEEDINFO]
Summary: Cinnamon just crashed. You are currently running in fallback mode.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libproxy
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1572246 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 20:32 UTC by Chrit van Ewijk
Modified: 2019-05-28 23:20 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:20:50 UTC
Type: Bug
paul.destefano-redhat2: needinfo? (amigadave)


Attachments (Terms of Use)
Cinnamon crash in journalctl (15.12 KB, text/plain)
2018-05-02 17:28 UTC, Peter Zagar
no flags Details

Description Chrit van Ewijk 2018-05-01 20:32:56 UTC
Description of problem: 
At start-up i get a dialog screen with the message :Cinnamon just crashed. You are currently running in fallback mode. 
When i choose to to restart Cinnamon Cinnamon starts correctly and is functioning well, as usual.


Version-Release number of selected component (if applicable):Cinnamon 3.8.0 


How reproducible: 
I just installed f28 this evening on 2 pc's.  I installed f28 by using DNF system upgrade :  sudo dnf system-upgrade download --refresh --releasever=28
Both pc's have the same problem.

Steps to Reproduce:
1.It happens nearly always - sometimes not- at the startup. Gnome desktop is working well both pc's. Switching user from Gnome to Cinnamon also gives the same problem.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2018-05-01 23:50:22 UTC
cinnamon-3.8.1-1.fc28 caribou-0.4.21-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4c9e1c937c

Comment 2 Fedora Update System 2018-05-02 13:13:42 UTC
caribou-0.4.21-9.fc28, cinnamon-3.8.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4c9e1c937c

Comment 3 Peter Zagar 2018-05-02 16:43:52 UTC
Problem persists even after upgrading the mentioned pacakges:
Installed Packages
caribou.x86_64                                0.4.21-9.fc28      @updates-testing
caribou-gtk2-module.x86_64                    0.4.21-9.fc28      @updates-testing
caribou-gtk3-module.x86_64                    0.4.21-9.fc28      @updates-testing
cinnamon.x86_64                               3.8.1-1.fc28       @updates-testing
cinnamon-applet-blueberry.noarch              1.1.20-6.fc28      @fedora         
cinnamon-control-center.x86_64                3.8.0-1.fc28       @updates        
cinnamon-control-center-filesystem.x86_64     3.8.0-1.fc28       @updates        
cinnamon-desktop.x86_64                       3.8.0-1.fc28       @updates        
cinnamon-menus.x86_64                         3.8.0-1.fc28       @updates        
cinnamon-screensaver.x86_64                   3.8.0-1.fc28       @updates        
cinnamon-session.x86_64                       3.8.1-1.fc28       @updates        
cinnamon-settings-daemon.x86_64               3.8.0-1.fc28       @updates        
cinnamon-themes.noarch                        1:1.6.2-1.fc28     @updates        
cinnamon-translations.noarch                  3.8.0-1.fc28       @updates        
python2-caribou.noarch                        0.4.21-9.fc28      @@commandline   
python3-caribou.noarch                        0.4.21-9.fc28      @updates-testing

When i try to restart crashed Cinnamon i catch this in journal.

abrt-notification[12253]: Process 12160 (cinnamon) crashed in _GLOBAL__sub_I_Unified_cpp_js_src12.cpp()

Comment 4 Peter Zagar 2018-05-02 17:28:28 UTC
Created attachment 1430230 [details]
Cinnamon crash in journalctl

I'm attaching details from journalctl.

Comment 5 leigh scott 2018-05-02 17:28:44 UTC
P(In reply to Peter Zagar from comment #3)
> Problem persists even after upgrading the mentioned pacakges:
> Installed Packages
> caribou.x86_64                                0.4.21-9.fc28     
> @updates-testing
> caribou-gtk2-module.x86_64                    0.4.21-9.fc28     
> @updates-testing
> caribou-gtk3-module.x86_64                    0.4.21-9.fc28     
> @updates-testing
> cinnamon.x86_64                               3.8.1-1.fc28      
> @updates-testing
> cinnamon-applet-blueberry.noarch              1.1.20-6.fc28      @fedora    
> 
> cinnamon-control-center.x86_64                3.8.0-1.fc28       @updates   
> 
> cinnamon-control-center-filesystem.x86_64     3.8.0-1.fc28       @updates   
> 
> cinnamon-desktop.x86_64                       3.8.0-1.fc28       @updates   
> 
> cinnamon-menus.x86_64                         3.8.0-1.fc28       @updates   
> 
> cinnamon-screensaver.x86_64                   3.8.0-1.fc28       @updates   
> 
> cinnamon-session.x86_64                       3.8.1-1.fc28       @updates   
> 
> cinnamon-settings-daemon.x86_64               3.8.0-1.fc28       @updates   
> 
> cinnamon-themes.noarch                        1:1.6.2-1.fc28     @updates   
> 
> cinnamon-translations.noarch                  3.8.0-1.fc28       @updates   
> 
> python2-caribou.noarch                        0.4.21-9.fc28     
> @@commandline   
> python3-caribou.noarch                        0.4.21-9.fc28     
> @updates-testing
> 
> When i try to restart crashed Cinnamon i catch this in journal.
> 
> abrt-notification[12253]: Process 12160 (cinnamon) crashed in
> _GLOBAL__sub_I_Unified_cpp_js_src12.cpp()

Post

rpm -q cjs

Comment 6 leigh scott 2018-05-02 17:30:07 UTC
(In reply to Peter Zagar from comment #4)
> Created attachment 1430230 [details]
> Cinnamon crash in journalctl
> 
> I'm attaching details from journalctl.

Update you old cjs package as f28 cinnamon uses mozjs52 not 38

Comment 7 leigh scott 2018-05-02 17:30:22 UTC
(In reply to Peter Zagar from comment #4)
> Created attachment 1430230 [details]
> Cinnamon crash in journalctl
> 
> I'm attaching details from journalctl.

Update your old cjs package as f28 cinnamon uses mozjs52 not 38

Comment 8 Peter Zagar 2018-05-02 17:43:05 UTC
cjs-3.8.0-1.fc28.x86_64

Comment 9 Peter Zagar 2018-05-02 17:48:16 UTC
Success after:
2018-05-02T17:46:42Z INFO Erased: libproxy-mozjs-0.4.15-5.fc28.x86_64
2018-05-02T17:46:42Z INFO Erased: mozjs38-38.8.0-8.fc28.x86_64

Comment 10 leigh scott 2018-05-02 18:03:07 UTC
(In reply to Peter Zagar from comment #9)
> Success after:
> 2018-05-02T17:46:42Z INFO Erased: libproxy-mozjs-0.4.15-5.fc28.x86_64
> 2018-05-02T17:46:42Z INFO Erased: mozjs38-38.8.0-8.fc28.x86_64

That is weird



$ rpm -q --requires cjs |grep moz;rpm -q  --info cjs
libmozjs-52.so.0()(64bit)
libmozjs-52.so.0(js)(64bit)
Name        : cjs
Epoch       : 1
Version     : 3.8.0
Release     : 1.fc28
Architecture: x86_64
Install Date: Sat 28 Apr 2018 07:52:33 BST
Group       : Unspecified
Size        : 1022158
License     : MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
Signature   : RSA/SHA256, Tue 24 Apr 2018 20:52:57 BST, Key ID e08e7e629db62fb1
Source RPM  : cjs-3.8.0-1.fc28.src.rpm
Build Date  : Mon 16 Apr 2018 16:04:39 BST
Build Host  : buildvm-04.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://github.com/linuxmint/cjs
Bug URL     : https://bugz.fedoraproject.org/cjs
Summary     : Javascript Bindings for Cinnamon
Description :
Cjs allows using Cinnamon libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.

Comment 11 leigh scott 2018-05-02 18:06:29 UTC
Even weirder, I have mozjs38 installed and don't have the issue


$ rpm -qa mozjs*
mozjs38-devel-38.8.0-8.fc28.x86_64
mozjs52-52.7.3-1.fc28.x86_64
mozjs38-38.8.0-8.fc28.x86_64
mozjs52-devel-52.7.3-1.fc28.x86_64

Comment 12 leigh scott 2018-05-02 18:07:27 UTC
*** Bug 1572246 has been marked as a duplicate of this bug. ***

Comment 13 Peter Zagar 2018-05-02 18:27:49 UTC
rpm -qa mozjs\*
mozjs24-24.2.0-11.fc26.x86_64
mozjs52-52.7.3-1.fc28.x86_64

Comment 14 leigh scott 2018-05-03 08:56:37 UTC
@Matthew Miller

Hi, Any idea why libproxy is behaving like this, I'm sure the cinnamon stack doesn't use it.

cinnamon wasn't built against mozjs-38, I don't understand why removing it fixes cinnamon


systemd-coredump[8708]: Process 7615 (cinnamon) of user 1000 dumped core.
                                                              
 Stack trace of thread 7615:
 #0  0x00007f6c2439a2ee _GLOBAL__sub_I_Unified_cpp_js_src12.cpp (libmozjs-38.so)
 #1  0x00007f6c971706ba call_init.part.0 (ld-linux-x86-64.so.2)
 #2  0x00007f6c971707b6 _dl_init (ld-linux-x86-64.so.2)
 #3  0x00007f6c9717494f dl_open_worker (ld-linux-x86-64.so.2)
 #4  0x00007f6c8e629cdf _dl_catch_exception (libc.so.6)
 #5  0x00007f6c971741c7 _dl_open (ld-linux-x86-64.so.2)
 #6  0x00007f6c8af3a006 dlopen_doit (libdl.so.2)
 #7  0x00007f6c8e629cdf _dl_catch_exception (libc.so.6)
 #8  0x00007f6c8e629d6f _dl_catch_error (libc.so.6)
 #9  0x00007f6c8af3a715 _dlerror_run (libdl.so.2)
 #10 0x00007f6c8af3a096 dlopen@@GLIBC_2.2.5 (libdl.so.2)
 #11 0x00007f6c2575fae5 _ZN9libmodman14module_manager9load_fileENSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb (libmodman>
 #12 0x00007f6c2576051b _ZN9libmodman14module_manager8load_dirENSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb (libmodman.>
 #13 0x00007f6c2596fe41 _ZN8libproxy13proxy_factoryC1Ev (libproxy.so.1)
 #14 0x00007f6c25970a3f px_proxy_factory_new (libproxy.so.1)
 #15 0x00007f6c25b876fd g_libproxy_resolver_init (libgiolibproxy.so)
 #16 0x00007f6c8ee1beaa g_type_create_instance (libgobject-2.0.so.0)
 #17 0x00007f6c8edfe6c8 g_object_new_internal (libgobject-2.0.so.0)
 #18 0x00007f6c8edffe15 g_object_new_with_properties (libgobject-2.0.so.0)
 #19 0x00007f6c8ee009d1 g_object_new (libgobject-2.0.so.0)
 #20 0x00007f6c8f0a25d1 try_implementation (libgio-2.0.so.0)
 #21 0x00007f6c8f0a2718 _g_io_module_get_default (libgio-2.0.so.0)
 #22 0x00007f6c95a6ec85 soup_proxy_resolver_default_constructed (libsoup-2.4.so.1)
 #23 0x00007f6c8edfe8fb g_object_new_internal (libgobject-2.0.so.0)
 #24 0x00007f6c8ee0016d g_object_newv (libgobject-2.0.so.0)
 #25 0x00007f6c964fa910 n/a (libcjs.so.0)
 #26 0x00007f6c8bec52a5 _ZN2js23InternalCallOrConstructEP9JSContextRKN2JS8CallArgsENS_14MaybeConstructE (libmozjs-52.so.0)
 #27 0x00007f6c8bec545d _ZN2js4CallEP9JSContextN2JS6HandleINS2_5ValueEEES5_RKNS_13AnyInvokeArgsENS2_13MutableHandleIS4_EE (libmo>
 #28 0x00007f6c8bd52858 _Z20JS_CallFunctionValueP9JSContextN2JS6HandleIP8JSObjectEENS2_INS1_5ValueEEERKNS1_16HandleValueArrayENS>
 #29 0x00007f6c965152b4 gjs_call_function_value (libcjs.so.0)
 #30 0x00007f6c964fca0b n/a (libcjs.so.0)

Comment 15 Jarmo 2018-05-03 11:58:42 UTC
I installed F28 and Cinnamon from scratch and hit the same issue.
No crash after
dnf install caribou --enablerepo=updates-testing
dnf upgrade  cinnamon --enablerepo=updates-testing

Comment 16 Fedora Update System 2018-05-03 15:26:26 UTC
caribou-0.4.21-9.fc28, cinnamon-3.8.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Chrit van Ewijk 2018-05-04 09:23:22 UTC
I upgraded this morning by "sudo dnf upgrade". 
I started up 5 times and 5 times cinnamon was launched  correctly.
Thanks for the quick fix. 
It was impressive to follow all the activities of the all members of the 'virtual team' in my e-mail. 
--Chrit

Comment 18 Mick Smothers 2018-05-04 20:11:10 UTC
I've upgraded to Fedora 28 and have updated caribou to 0.4.21-9 (from @updates) and cinnamon to 3.8.1-2 (from @updates-testing) and I'm still getting the fallback crash behavior (core dump in cinnamon). Note that most of the other cinnamon packages are still at 3.8.0-1. Specifically what I have installed:

dnf list cinnamon*
Last metadata expiration check: 1:37:51 ago on Fri 04 May 2018 01:23:19 PM CDT.
Installed Packages
cinnamon.x86_64                         3.8.1-2.fc28                    @updates-testing
cinnamon-control-center.x86_64          3.8.0-1.fc28                    @updates
cinnamon-control-center-filesystem.x86_64
                                        3.8.0-1.fc28                    @updates
cinnamon-desktop.x86_64                 3.8.0-1.fc28                    @updates
cinnamon-menus.x86_64                   3.8.0-1.fc28                    @updates
cinnamon-screensaver.x86_64             3.8.0-1.fc28                    @updates
cinnamon-session.x86_64                 3.8.1-1.fc28                    @updates
cinnamon-settings-daemon.x86_64         3.8.0-1.fc28                    @updates
cinnamon-themes.noarch                  1:1.6.2-1.fc28                  @updates
cinnamon-translations.noarch            3.8.0-1.fc28                    @updates

I can provide a stack trace if it would be useful.

-- Mick

Comment 19 Mick Smothers 2018-05-04 21:05:52 UTC
Aha, read deeper in the thread history and I had this:

dnf list mozjs*
Last metadata expiration check: 2:35:33 ago on Fri 04 May 2018 01:23:19 PM CDT.
Installed Packages
mozjs24.x86_64                                             24.2.0-11.fc26                                       @@commandline
mozjs38.x86_64                                             38.8.0-8.fc28                                        @fedora      
mozjs52.x86_64                                             52.7.3-1.fc28                                        @fedora      

I did this:

dnf remove mozjs24.x86_64 mozjs38.x86_64
Dependencies resolved.
=============================================================================================================================
 Package                        Arch                   Version                           Repository                     Size
=============================================================================================================================
Removing:
 mozjs24                        x86_64                 24.2.0-11.fc26                    @@commandline                 5.5 M
 mozjs38                        x86_64                 38.8.0-8.fc28                     @fedora                        19 M
Removing dependent packages:
 libproxy-mozjs                 x86_64                 0.4.15-5.fc28                     @fedora                        28 k


and now everything works fine. So anyone else who finds this thread, note that I think it is libproxy-mozjs from an older version that is causing the crash.

I hope this helps!

-- Mick

Comment 20 Guilherme Cortial 2018-05-28 14:54:14 UTC
(In reply to Mick Smothers from comment #19)
> Aha, read deeper in the thread history and I had this:
> 
> dnf list mozjs*
> Last metadata expiration check: 2:35:33 ago on Fri 04 May 2018 01:23:19 PM
> CDT.
> Installed Packages
> mozjs24.x86_64                                             24.2.0-11.fc26   
> @@commandline
> mozjs38.x86_64                                             38.8.0-8.fc28    
> @fedora      
> mozjs52.x86_64                                             52.7.3-1.fc28    
> @fedora      
> 
> I did this:
> 
> dnf remove mozjs24.x86_64 mozjs38.x86_64
> Dependencies resolved.
> =============================================================================
> ================================================
>  Package                        Arch                   Version              
> Repository                     Size
> =============================================================================
> ================================================
> Removing:
>  mozjs24                        x86_64                 24.2.0-11.fc26       
> @@commandline                 5.5 M
>  mozjs38                        x86_64                 38.8.0-8.fc28        
> @fedora                        19 M
> Removing dependent packages:
>  libproxy-mozjs                 x86_64                 0.4.15-5.fc28        
> @fedora                        28 k
> 
> 
> and now everything works fine. So anyone else who finds this thread, note
> that I think it is libproxy-mozjs from an older version that is causing the
> crash.
> 
> I hope this helps!
> 
> -- Mick

Thanks, problem resolved.

Comment 21 Paul DeStefano 2018-09-02 22:20:17 UTC
I'm still seeing this, long after bug was originally closed.  I'm on F29 now.  I don't see old mozjs versions installed either.

On my VM Cinnamon DE is crashing in 100% of logins.

$ sudo -i dnf list installed cinnamon caribou
Installed Packages
caribou.x86_64                  0.4.21-12.fc29                  @fedora         
cinnamon.x86_64                 3.8.8-2.fc29                    @updates-testing

Can someone catch me up?  Is this still being worked on?  Is it just my system?

Comment 22 Paul DeStefano 2018-09-26 04:38:01 UTC
I still don't know what is happening.  Should I still be seeing this?

Comment 23 Paul DeStefano 2018-11-26 05:12:02 UTC
Sill seeing this.  This cannot possibly be normal.

Comment 24 leigh scott 2018-11-26 06:51:16 UTC
(In reply to Paul DeStefano from comment #21)
> I'm still seeing this, long after bug was originally closed.  I'm on F29
> now.  I don't see old mozjs versions installed either.
> 
> On my VM Cinnamon DE is crashing in 100% of logins.

Most VM doesn't provide good enough 3D acceleration for normal session, I recommend running cinnamon in 2D.

> 
> $ sudo -i dnf list installed cinnamon caribou
> Installed Packages
> caribou.x86_64                  0.4.21-12.fc29                  @fedora     
> 
> cinnamon.x86_64                 3.8.8-2.fc29                   
> @updates-testing 
> Can someone catch me up?  Is this still being worked on?  Is it just my
> system?

Try providing a coredump with all the required symbols installed

coredumpctl list

pick the PID for the crash you want to analyse (alter PID to suit)

coredumpctl gdb PID

install all missing debuginfo packages and rerun, then post it here as an attachment.

Comment 25 Dan Winship 2018-11-26 13:25:57 UTC
Note that this bug report was about Cinnamon crashing due to a specific libproxy bug. It is not about Cinnamon crashing in general. If you are seeing Cinnamon crashing now, it is probably a result of some completely different bug (which the people cc:ed on this bug report can't help you with).

Comment 26 Ben Cotton 2019-05-02 19:17:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2019-05-02 20:15:48 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 28 Ben Cotton 2019-05-28 23:20:50 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.